package org.springblade.pson.entity;

import java.io.Serializable;
import java.util.Date;

import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 项目表
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
@Data
@TableName("profile_project")
@EqualsAndHashCode(callSuper = true)
public class Project extends TenantEntity implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@ApiModelProperty("项目名")
    private String name;

	private String projCode;
	private String ptypeCode;

	@ApiModelProperty("平台")
    private String platform;

	@ApiModelProperty("项目描述")
	private String descMessage;

	@ApiModelProperty("创建时间")
    private Date createTime;
}
