package org.springblade.pson.entity;

import java.io.Serializable;
import java.util.Date;

import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 属性表
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
@Data
@TableName("profile_prop")
@EqualsAndHashCode(callSuper = true)
public class Prop extends TenantEntity implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@ApiModelProperty("属性名")
    private String name;

	@ApiModelProperty("属性code")
    private String code;

	@ApiModelProperty("属性类别 事件属性1 用户属性0")
    private Integer type;

	@ApiModelProperty("数据类型 0 数字 1 字符串 2 布尔 3 时间 4 数组")
    private Integer datatype;

	@ApiModelProperty("是否预置  0 否 1 是")
    private Integer isPreset;

	private String isCommon;

	@ApiModelProperty("属性描述")
    private String descMessage;

	@ApiModelProperty("属性可选值json")
    private String options;

	@ApiModelProperty("属性预置区间json")
    private String distributions;

	@ApiModelProperty("创建时间")
    private Date createTime;

	@ApiModelProperty("关联的字典表")
	private String dicTable;
	
	@ApiModelProperty("join的字段名称")
	private String joinField;
	
	@ApiModelProperty("要查询的字段名称")
	private String targetField;
	
	@ApiModelProperty("是否隐藏  0 否 1 是")
	private Integer hiddenStatus;
}
