package org.springblade.pson.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springblade.pson.entity.EventPropMap;
import org.springblade.pson.mapper.EventPropMapMapper;
import org.springblade.pson.service.IEventPropMapService;
import org.springblade.pson.vo.EventPropMapVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * <p>
 * 事件属性关联表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
@Service
public class EventPropMapServiceImpl extends ServiceImpl<EventPropMapMapper, EventPropMap> implements IEventPropMapService {


	@Autowired
	private EventPropMapMapper eventPropMapMapper;

	@Override
	public List<EventPropMap> getInnerJoinList(List<Long> eventIds) {
		if(eventIds!=null&&eventIds.size()>0){
			StringBuilder stringBuilder=new StringBuilder();
			stringBuilder.append("(SELECT * FROM event_prop_map WHERE event_id="+eventIds.get(0)+"  ) AS t0");

			StringBuilder onBuilder=new StringBuilder();

			for(int i=1;i<eventIds.size();i++){
				stringBuilder.append("  JOIN (SELECT * FROM event_prop_map WHERE event_id="+eventIds.get(i)+"  ) AS t"+i);

				if(i==1){
					onBuilder.append("ON t0.prop_id =t"+i+".prop_id");
				}else {
					onBuilder.append(" and t0.prop_id =t"+i+".prop_id");
				}

				//eventPropMapQueryWrapper.eq("t0.prop_id" ,"t"+i+".prop_id");
			}
			List<EventPropMap> innerJoinList = eventPropMapMapper.getInnerJoinList(stringBuilder.toString(), onBuilder.toString());
			return innerJoinList;
		}else {
			return new ArrayList<>();
		}

	}

	@Override
	public List<EventPropMapVO> getList(Long eventId) {
		return eventPropMapMapper.getList(eventId);
	}

}
