package org.springblade.useranalysis.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springblade.core.tool.api.R;
import org.springblade.useranalysis.dto.*;
import org.springblade.useranalysis.dto.param.AccessMonitorPageParams;
import org.springblade.useranalysis.dto.param.VisualDataAnalysisPageParams;
import org.springblade.useranalysis.service.AccessMonitorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/access/monitor")
@Api(tags = "访问监控")
public class AccessMonitorController {

    @Autowired
    private AccessMonitorService accessMonitorService;


    /**
     * 查询明细数据-分页
     */
    @GetMapping("/page")
    @ApiOperation("查询明细数据-分页")
    public R<Page<AccessMonitorPageDto>> page(AccessMonitorPageParams param) {
        return R.data(accessMonitorService.page(param));
    }

    @GetMapping("/lineChart")
    @ApiOperation("折线图")
    public R<List<AccessMonitorLineChartDto>> lineChart(AccessMonitorPageParams param) {
        return R.data(accessMonitorService.lineChart(param));
    }


    @GetMapping("/getAccessMonitorTop")
    @ApiOperation("查询看板浏览top10")
    public R<List<AccessMonitorTopDto>> getAccessMonitorTop(
            @ApiParam("top多少 默认10")
            @RequestParam(defaultValue = "10") Integer top) {
        return R.data(accessMonitorService.getAccessMonitorTop(top));
    }



}
