package org.springblade.useranalysis.controller;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.tool.api.R;
import org.springblade.system.client.model.TenantModel;
import org.springblade.useranalysis.dto.DataSourceDetailsPageDto;
import org.springblade.useranalysis.dto.DataSourceLineChartDto;
import org.springblade.useranalysis.dto.DataSourcePageDto;
import org.springblade.useranalysis.dto.VisualDataPageDto;
import org.springblade.useranalysis.dto.param.DataSourceAnalysisDetailsPageParams;
import org.springblade.useranalysis.dto.param.DataSourceAnalysisPageParams;
import org.springblade.useranalysis.entity.UserEvent;
import org.springblade.useranalysis.service.DataSourceAnalysisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;

@RestController
@RequestMapping("analysis/dataSource")
@Api(tags = "数据源监控")
public class DataSourceAnalysisController {

    @Autowired
    private DataSourceAnalysisService dataSourceAnalysisService;

    @ApiOperation("分页查询数据源详细数据")
    @GetMapping("/detailsPage")
    public R<Page<DataSourceDetailsPageDto>> detailsPage(DataSourceAnalysisDetailsPageParams params) {
        return R.data(dataSourceAnalysisService.detailsPage(params));
    }

    @ApiOperation("分页查询数据源")
    @GetMapping("/page")
    public R<Page<DataSourcePageDto>> page(DataSourceAnalysisPageParams params) {
        return R.data(dataSourceAnalysisService.page(params));
    }

    @ApiOperation("折线图")
    @GetMapping("/lineChart")
    public R<List<DataSourceLineChartDto>> lineChart(DataSourceAnalysisPageParams param) {
        return R.data(dataSourceAnalysisService.lineChart(param));
    }
    @ApiOperation("负责人名字列表")
    @GetMapping("/responsiblePersons")
    public  R<List<String>> responsiblePersons() {
        return R.data(dataSourceAnalysisService.responsiblePersons());
    }

}
