package org.springblade.useranalysis.controller;


import java.util.List;
import java.util.Map;

import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.tool.api.R;
import org.springblade.useranalysis.dto.RequestWebsite;
import org.springblade.useranalysis.service.UserEventService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;

/**
 * (UserEvent)表控制层
 *
 */
@RestController
@RequestMapping("/user-event")
@AllArgsConstructor
@Api(value = "用户事件", tags = "用户事件管理接口")
public class UserEventController extends BladeController {
    /**
     * 服务对象
     */
    private final UserEventService userEventService;
    
    @ApiOperation("查询标题/url列表")
    @PostMapping("/title-list")
    public R<List<Map<String, Object>>> titleList(String event){
    	return R.data(userEventService.findTitleList(event));
    }

    /**
     * 查询数据
     * @param id 实体对象
     * @return 查询结果
     */

    @ApiOperation("查询列表")
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public R<List<Map<String, Object>>> list(@RequestBody RequestWebsite requestWebsite) {
        return R.data(userEventService.listEvent(requestWebsite));
    }
}
