package org.springblade.useranalysis.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 明细数据实体
 * @date 2023/11/28 09:51
 */
@Data
@ApiModel(value = "DataSourcePageDto", description = "数据源调用明细")
public class DataSourcePageDto implements Serializable {

    private String tenantId;
    private String tenant;
    @ApiModelProperty("数据源名字")
    private String dsName;
    private String poolName;
    @ApiModelProperty("数据源类型")
    private String dsType;
    @ApiModelProperty("数据源端口")
    private String dsPort;
    @ApiModelProperty("数据源ip")
    private String url;
    @ApiModelProperty("数据源负责人")
    private String responsiblePerson;

    private Integer successTimes;
    private Integer failTimes;

}
