package org.springblade.useranalysis.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 明细数据实体
 * @date 2023/11/28 09:51
 */
@Data
@ApiModel(value = "DetailDataDto",description = "明细数据实体")
public class DetailDataDto implements Serializable {

    @ApiModelProperty("日期")
    @ExcelProperty(value = "日期",index = 0)
    private Date date;

    @ApiModelProperty("租户")
    @ExcelProperty(value = "租户",index = 1)
    private String tenant;

    @ApiModelProperty("租户id")
    @ExcelIgnore
    private String tenantId;

    @ApiModelProperty("用户")
    @ExcelProperty(value = "用户",index = 2)
    private String user;

    @ApiModelProperty("页面类型")
    @ExcelProperty(value = "页面类型",index = 3)
    private String pageType;

    @ApiModelProperty("页面分类")
    @ExcelProperty(value = "页面分类",index = 4)
    private String pageClassify;

    @ApiModelProperty("页面名称")
    @ExcelProperty(value = "页面名称",index = 5)
    private String pageName;

    @ApiModelProperty("页面地址")
    @ExcelProperty(value = "页面地址",index = 6)
    private String url;

    @ApiModelProperty("浏览次数")
    @ExcelProperty(value = "浏览次数",index = 7)
    private Integer pv;

    @ApiModelProperty("浏览用户数")
    @ExcelProperty(value = "浏览用户数",index = 8)
    private Integer uv;
}
