package org.springblade.useranalysis.dto;

import java.util.List;
import java.util.Set;

import lombok.Data;

/**
 * 
 * @author wookvn
 * {
    "ptype": "purchase",
    "eventCodes": [
        {
            "eventCode": "lookSp",
            "countType": "次数"
        },
        {
            "eventCode": "buySuccess",
            "countType": "次数"
        }
    ],
    "target": [
        18
    ],
    "filterParameter": {
        "conditions": [
            {
                "id": 23,
                "isCommon": "0",
                "dataType": "string",
                "field": "",
                "function": "in",
                "name": "产品名称",
                "values": [
                    "芒果TV15G流量",
                    "视频随心看",
                    "手动输入"
                ]
            },
            {
                "id": 28,
                "isCommon": "1",
                "dataType": "number",
                "field": "screen_height",
                "function": "between",
                "name": "屏幕高度",
                "values": [
                    "45",
                    "4646"
                ]
            },
            {
                "id": 19,
                "isCommon": "0",
                "dataType": "number",
                "field": "",
                "function": "ge",
                "name": "订购价格",
                "values": [
                    "20"
                ]
            }
        ],
        "connectType": "or"
    },
    "startDate": "2021-07-12",
    "endDate": "2021-08-11"
}
 */

@Data
public class RequestEventAnalysis {
	
	public final static String DATE_FORMAT = "yyyy-MM-dd";
	
    private String ptype;//ptype
    private Set<String> target;   // 指标
    
//    private List<JSONObject> eventCodes;  // 事件ID
//    private List<JSONObject> filterParameter;// 过滤条件[设备属性/用户属性]
    
    private String startDate;
    private String endDate;
    
    private List<EventAnalysisCode> eventCodes;
    private EventFilterParameter filterParameter;


}
