package org.springblade.useranalysis.dto;

import java.util.List;
import java.util.Set;

import org.springblade.useranalysis.enums.HopperDateType;
import org.springblade.useranalysis.enums.HopperEventUnit;

import lombok.Data;

/**
 * 漏斗分析
 * @author wookvn
 *
 *{
    "steps": [
        {
            "eventCode": "lookSp",
            "name": "产品浏览"
        },
        {
            "eventCode": "clickBuy",
            "name": "点击订购"
        },
        {
            "eventCode": "buySuccess",
            "name": "订购成功"
        }
    ],
    "filterParameter": {
        "conditions": [
            {
                "id": 23,
                "isCommon": "0",
                "dataType": "string",
                "field": "",
                "function": "in",
                "name": "产品名称",
                "values": [
                    "哔哩哔哩10G流量+VIP月卡"
                ]
            }
        ],
        "connectType": "and"
    },
    "target": [
        18
    ],
    "startDate": "2021-08-06",
    "endDate": "2021-08-13",
    "ptype": "purchase",
    "unit": "minute",
    "duration": 30
}
 */
@Data
public class RequestHopperAnalysis {
	
	public final static String DATE_FORMAT = "yyyy-MM-dd";
	
    private String ptype;
    private Set<String> target;   // 指标
    
    private List<BaseEventCode> steps;
    private EventFilterParameter filterParameter;
    
    private String startDate;
    private String endDate;
    
    private HopperDateType dateType;
    
    //时间段
    private Integer duration;
    //时间单位
    private HopperEventUnit unit;
    
}
