package org.springblade.useranalysis.dto;

import org.springblade.useranalysis.enums.RetentionEventUnit;

import lombok.Data;

/**
 * 留存分析
 * {
    "firstEvent": {
        "eventCode": "buySuccess",
        "name": "订购成功"
    },
    "secondEvent": {
        "eventCode": "lookSp",
        "name": "产品浏览"
    },
    "filterParameter": {
        "conditions": [
            {
                "id": 18,
                "isCommon": "0",
                "dataType": "string",
                "field": "",
                "function": "in",
                "name": "获客来源",
                "values": [
                    "订购页"
                ]
            }
        ],
        "connectType": "and"
    },
    "ptype": "purchase",
    "duration": 10,
    "unit": "day",
    "startDate": "2021-08-06",
    "endDate": "2021-08-13"
}
 */
@Data
public class RequestRetentionAnalysis {

	public final static String DATE_FORMAT = "yyyy-MM-dd";
	
    private String ptype;//ptype
    
    private String startDate;
    private String endDate;
    
    //初始行为
    private BaseEventCode firstEvent;
    //后续行为
    private BaseEventCode secondEvent;
    
    //查询条件
    private EventFilterParameter filterParameter;

    //时间段
    private Integer duration;
    //时间单位
    private RetentionEventUnit unit;
    
}
