package org.springblade.useranalysis.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 明细数据实体
 * @date 2023/11/28 09:51
 */
@Data
@ApiModel(value = "VisualDataPageDto",description = "明细数据实体")
public class VisualDataPageDto implements Serializable {

    @ApiModelProperty("日期")
    @ExcelProperty(value = "日期",index = 0)
    private Date date;

    @ApiModelProperty("租户")
    @ExcelProperty(value = "租户",index = 1)
    private String tenant;

    @ApiModelProperty("租户id")
    @ExcelIgnore
    private String tenantId;

    @ApiModelProperty("用户")
    @ExcelProperty(value = "用户",index = 2)
    private String user;

    @ApiModelProperty("创建人名字")
    @ExcelProperty(value = "创建人名字",index = 2)
    private String creatorName;

    @ApiModelProperty("页面类型")
    @ExcelProperty(value = "页面类型",index = 3)
    private String type;

    @ApiModelProperty("大屏分类")
    @ExcelProperty(value = "页面分类",index = 4)
    private String visualClassify;

    @ApiModelProperty("大屏名称")
    @ExcelProperty(value = "大屏名称",index = 5)
    private String visualName;

    @ApiModelProperty("大屏id")
    @ExcelProperty(value = "大屏id",index = 5)
    private String visualId;

    @ApiModelProperty("大屏地址")
    @ExcelProperty(value = "大屏地址",index = 6)
    private String url;

}
