package org.springblade.useranalysis.dto.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 查询条件实体类
 * @date 2023/11/27 15:33
 */
@Data
@ApiModel(value = "BuriedPointAnalysisParam",description = "查询条件实体类")
public class BuriedPointAnalysisParam implements Serializable {

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("用户名")
    private String user;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("事件名称")
    private String event = "visualPreview";

    @ApiModelProperty("类型，模板，幻灯片，可视化大屏，自助报表")
    private String type;

    @ApiModelProperty("模板，幻灯片，可视化大屏，自助报表的分类")
    private String moduleType;

    @ApiModelProperty("模板，幻灯片，可视化大屏，自助报表的名称")
    private String name;

    @ApiModelProperty("url路径")
    private String url;

    @ApiModelProperty("页码")
    private Integer page;

    @ApiModelProperty("每页显示条数")
    private Integer size;
}
