package org.springblade.useranalysis.dto.param;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author william
 *
 */
@Data
public class ExcelExportParam {

	@ApiModelProperty(value = "人群ID", required = true)
	private String groupId;

	@ApiModelProperty(value = "标签代码", required = true)
	private List<String> tagList;

	@ApiModelProperty(value = "手机号是否脱敏，默认：false", required = false)
	private boolean desens;

	@ApiModelProperty(value = "需要导出的条数，必须大于0", required = true)
	private Integer count;
	
	@ApiModelProperty(value = "开始月份，格式：yyyyMMdd", required = false)
	private String monthStart;
	
	@ApiModelProperty(value = "结束月份，格式：yyyyMMdd", required = false)
	private String monthEnd;

	@ApiModelProperty(value = "业务json", required = true)
	private String busJson;

	@ApiModelProperty(value = "流程id", required = true)
	private String flowId;

	@ApiModelProperty(value = "创建人id", required = false)
	private String creatorId;

}
