package org.springblade.useranalysis.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户画像-行为分析-工作薄表 ads_userprofile_analysis_book
 * 
 * @author wookvn
 * @date 2021-08-19
 */
@TableName("profile_analysis_book")
@ApiModel(value = "AdsUserprofileAnalysisBook对象", description = "用户画像-行为分析-工作薄")
public class AdsUserprofileAnalysisBook implements Serializable{
	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	
	
	/** 
	 * 事件类型(1-事件分析/2-留存分析/3-漏斗分析/4-分布分析) 
	 */
	@ApiModelProperty(value = "事件类型(1-事件分析/2-留存分析/3-漏斗分析/4-分布分析)")
	private Integer eventType;
	
	/** 
	 * 分析名称 
	 */
	@ApiModelProperty(value = "分析名称")
	private String alyName;
	
	/** 
	 * 分析说明 
	 */
	@ApiModelProperty(value = "分析说明")
	private String alyDesc;
	
	/** 
	 * json字符串 
	 */
	@ApiModelProperty(value = "json字符串")
	private String content;
	
	/** 
	 * 共享状态(0-独享 1-共享) 
	 */
	@ApiModelProperty(value = "共享状态(0-独享 1-共享)")
	private Integer shareStatus;
	
	/** 
	 * 是否默认(0-否 1-是) 
	 */
	@ApiModelProperty(value = "是否默认(0-否 1-是)")
	private Integer defaultStatus;
	
	/** 
	 * 创建人id 
	 */
	@ApiModelProperty(value = "创建人id【新增修改无需传递】")
	private Long createUserId;
	
	/** 
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人【新增修改无需传递】")
	private String createBy;
	
	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间【新增修改无需传递】")
	private Date createTime;
	
	/** 
	 * 修改人 
	 */
	@ApiModelProperty(value = "修改人【新增修改无需传递】")
	private String updateBy;
	
	/** 
	 * 修改时间 
	 */
	@ApiModelProperty(value = "修改时间【新增修改无需传递】")
	private Date updateTime;
	

    /**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	
	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}
    /**
	 * @param eventType the eventType to set
	 */
	public void setEventType(Integer eventType) {
		this.eventType = eventType;
	}
	
	/**
	 * @return the eventType
	 */
	public Integer getEventType() {
		return eventType;
	}
    /**
	 * @param alyName the alyName to set
	 */
	public void setAlyName(String alyName) {
		this.alyName = alyName;
	}
	
	/**
	 * @return the alyName
	 */
	public String getAlyName() {
		return alyName;
	}
    /**
	 * @param alyDesc the alyDesc to set
	 */
	public void setAlyDesc(String alyDesc) {
		this.alyDesc = alyDesc;
	}
	
	/**
	 * @return the alyDesc
	 */
	public String getAlyDesc() {
		return alyDesc;
	}
    /**
	 * @param content the content to set
	 */
	public void setContent(String content) {
		this.content = content;
	}
	
	/**
	 * @return the content
	 */
	public String getContent() {
		return content;
	}
    /**
	 * @param shareStatus the shareStatus to set
	 */
	public void setShareStatus(Integer shareStatus) {
		this.shareStatus = shareStatus;
	}
	
	/**
	 * @return the shareStatus
	 */
	public Integer getShareStatus() {
		return shareStatus;
	}
    /**
	 * @param defaultStatus the defaultStatus to set
	 */
	public void setDefaultStatus(Integer defaultStatus) {
		this.defaultStatus = defaultStatus;
	}
	
	/**
	 * @return the defaultStatus
	 */
	public Integer getDefaultStatus() {
		return defaultStatus;
	}
    /**
	 * @param createUserId the createUserId to set
	 */
	public void setCreateUserId(Long createUserId) {
		this.createUserId = createUserId;
	}
	
	/**
	 * @return the createUserId
	 */
	public Long getCreateUserId() {
		return createUserId;
	}
    /**
	 * @param createBy the createBy to set
	 */
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	
	/**
	 * @return the createBy
	 */
	public String getCreateBy() {
		return createBy;
	}
    /**
	 * @param createTime the createTime to set
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	/**
	 * @return the createTime
	 */
	public Date getCreateTime() {
		return createTime;
	}
    /**
	 * @param updateBy the updateBy to set
	 */
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}
	
	/**
	 * @return the updateBy
	 */
	public String getUpdateBy() {
		return updateBy;
	}
    /**
	 * @param updateTime the updateTime to set
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
	/**
	 * @return the updateTime
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
}
