/**
 * 
 */
package org.springblade.useranalysis.enums;

import java.util.ArrayList;
import java.util.List;

import org.springblade.useranalysis.dto.EventDistributeRange;

/**
 * @author wookvn
 *
 */
public enum DistributeEventUnit {

	general{
		@Override
		public List<EventDistributeRange> getDefaultRange() {
			List<EventDistributeRange> list = new ArrayList<EventDistributeRange>();
			list.add(new EventDistributeRange("1", "3", 1, 3));
			list.add(new EventDistributeRange("3", "5", 3, 5));
			list.add(new EventDistributeRange("5", "10", 5, 10));
			list.add(new EventDistributeRange("10", "20", 10, 20));
			list.add(new EventDistributeRange("20", "50", 20, 50));
			list.add(new EventDistributeRange("50", "-", 50, 0));
			return list;
		}
	},
	
	distributionTime{
		@Override
		public List<EventDistributeRange> getDefaultRange() {
			List<EventDistributeRange> list = new ArrayList<EventDistributeRange>();
			list.add(new EventDistributeRange("00:00", "01:00", 0, 1));
			list.add(new EventDistributeRange("01:00", "02:00", 1, 2));
			list.add(new EventDistributeRange("02:00", "03:00", 2, 3));
			list.add(new EventDistributeRange("03:00", "04:00", 3, 4));
			list.add(new EventDistributeRange("04:00", "05:00", 4, 5));
			list.add(new EventDistributeRange("05:00", "06:00", 5, 6));
			list.add(new EventDistributeRange("06:00", "07:00", 6, 7));
			list.add(new EventDistributeRange("07:00", "08:00", 7, 8));
			list.add(new EventDistributeRange("08:00", "09:00", 8, 9));
			list.add(new EventDistributeRange("09:00", "10:00", 9, 10));
			list.add(new EventDistributeRange("10:00", "11:00", 10, 11));
			list.add(new EventDistributeRange("11:00", "12:00", 11, 12));
			list.add(new EventDistributeRange("12:00", "13:00", 12, 13));
			list.add(new EventDistributeRange("13:00", "14:00", 13, 14));
			list.add(new EventDistributeRange("14:00", "15:00", 14, 15));
			list.add(new EventDistributeRange("15:00", "16:00", 15, 16));
			list.add(new EventDistributeRange("16:00", "17:00", 16, 17));
			list.add(new EventDistributeRange("17:00", "18:00", 17, 18));
			list.add(new EventDistributeRange("18:00", "19:00", 18, 19));
			list.add(new EventDistributeRange("19:00", "20:00", 19, 20));
			list.add(new EventDistributeRange("20:00", "21:00", 20, 21));
			list.add(new EventDistributeRange("21:00", "22:00", 21, 22));
			list.add(new EventDistributeRange("22:00", "23:00", 22, 23));
			list.add(new EventDistributeRange("23:00", "24:00", 23, 24));
			return list;
		}
	},
	
	distributionActiveDays{
		@Override
		public List<EventDistributeRange> getDefaultRange() {
			return null;
		}
	};
	
	public abstract List<EventDistributeRange> getDefaultRange();
}
