package org.springblade.useranalysis.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.useranalysis.dto.*;
import org.springblade.useranalysis.dto.param.AccessMonitorPageParams;
import org.springblade.useranalysis.dto.param.VisualDataAnalysisPageParams;
import org.springblade.useranalysis.entity.UserEvent;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/11/27 14:52
 */
@DS("clickhouse")
@InterceptorIgnore(tenantLine = "true")
@Mapper
public interface AccessMonitorMapper {
    /**
     * 查询明细数据-分页
     */
    @Select({
            "<script>",
            "select * from ads.user_event ",
            "<where>",
            "proj = 'bi' and lib = 'js' ",
//            "<if test='param.tenantId != null and param.tenantId != \"\"'> and tenantId = #{param.tenantId}</if>",
            "<if test='param.startTime != null and param.startTime != \"\" and param.endTime != null and param.endTime != \"\"' > and d_date between #{param.startTime} and #{param.endTime}</if>",
            "<if test='param.eventCode != null and param.eventCode != \"\"'> and event like #{param.eventCode}</if>",
            "<if test='param.ip != null and param.ip != \"\"'> and ip like #{param.ip}</if>",
            "</where>",
            "</script>"
    })
    Page<UserEvent> page(@Param("param") AccessMonitorPageParams param, Page page);

    @Select({"<script>",
            "select d_date as date, count(DISTINCT ip) as ipCount, count(1) as count",
            " from ads.user_event",
            "<where>",
            " proj = 'bi' and lib = 'js' ",
//            "<if test='param.tenantId != null and param.tenantId != \"\"'> and tenantId = #{param.tenantId}</if>",
            "<if test='param.startTime != null and param.startTime != \"\" and param.endTime != null and param.endTime != \"\"' > and d_date between #{param.startTime} and #{param.endTime}</if>",
            "<if test='param.eventCode != null and param.eventCode != \"\"'> and event like #{param.eventCode}</if>",
            "<if test='param.ip != null and param.ip != \"\"'> and ip like #{param.ip}</if>",
            "</where>",
            " group by d_date",
            "</script>"
    })
    List<AccessMonitorLineChartDto> lineChart(@Param("param") AccessMonitorPageParams param);


    /**
     * 查询看板浏览top10
     */
    @Select({"<script>",
            "select ip, count(DISTINCT attr3) as userCount, count(1) as count",
            " from ads.user_event",
            "<where>",
            " proj = 'bi' and lib = 'js' ",
            "</where>",
            " group by ip",
            " order by count desc",
            " limit #{top}",
            "</script>"
    })
    List<AccessMonitorTopDto> getAccessMonitorTop(@RequestParam("top") Integer top);

}
