package org.springblade.useranalysis.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.useranalysis.dto.*;
import org.springblade.useranalysis.dto.param.DataSourceAnalysisDetailsPageParams;
import org.springblade.useranalysis.dto.param.DataSourceAnalysisPageParams;
import org.springblade.useranalysis.dto.param.VisualDataAnalysisPageParams;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/11/27 14:52
 */
@DS("clickhouse")
@InterceptorIgnore(tenantLine = "true")
@Mapper
public interface DataSourceAnalysisMapper {
    /**
     * 查询明细数据-分页
     */
    @Select({
            "<script>",
            "select attr2 dsName,attr3 poolName, attr9 tenantId, attr4 dsType,attr6 dsPort,attr5 url,attr8 responsiblePerson,COUNTIf(attr12='1') successTimes,COUNTIf(attr13='1') failTimes",
            "from ads.user_event",
            "<where>",
            " event = 'useDatasource'",
            "<if test='param.tenantId != null and param.tenantId != \"\"'> and attr9 = #{param.tenantId}</if>",
//            "<if test='param.startTime != null and param.startTime != \"\" and param.endTime != null and param.endTime != \"\"' > and d_date between #{param.startTime} and #{param.endTime}</if>",
            "<if test='param.type != null and param.type != \"\"'> and attr4 like #{param.type}</if>",
            "<if test='param.name != null and param.name != \"\"'> and attr2 like #{param.name}</if>",
            "<if test='param.responsiblePerson != null and param.responsiblePerson != \"\"'> and attr8 like #{param.responsiblePerson}</if>",
            "</where>",
            "	group by attr2,attr3,attr4,attr5,attr6,attr8,attr9",
            "</script>"
    })
    Page<DataSourcePageDto> page(@Param("param") DataSourceAnalysisPageParams param, Page page);

    @Select({
            "<script>",
            "select ip,attr10 userName,d_time time, attr9 tenantId, attr4 dsType,attr6 dsPort,attr5 url,attr12 successStatus,attr14 errMessage,attr8 responsiblePerson",
            "from ads.user_event",
            "<where>",
            " event = 'useDatasource' and attr3 = #{param.poolName}",
            "<if test='param.startTime != null and param.startTime != \"\" and param.endTime != null and param.endTime != \"\"' > and d_date between #{param.startTime} and #{param.endTime}</if>",
            "</where>",
            "</script>"
    })
    Page<DataSourceDetailsPageDto> detailsPage(@Param("param") DataSourceAnalysisDetailsPageParams param, Page page);


    @Select({
            "<script>",
            "select d_date as date, count(DISTINCT attr3) as userCount, count(1) as count",
            "from ads.user_event",
            "<where>",
            " event = 'useDatasource'",
            "<if test='param.tenantId != null and param.tenantId != \"\"'> and attr9 = #{param.tenantId}</if>",
            "<if test='param.startTime != null and param.startTime != \"\" and param.endTime != null and param.endTime != \"\"' > and d_date between #{param.startTime} and #{param.endTime}</if>",
            "<if test='param.type != null and param.type != \"\"'> and attr4 like #{param.type}</if>",
            "<if test='param.name != null and param.name != \"\"'> and attr2 like #{param.name}</if>",
            "</where>",
            " group by d_date",
            "</script>"
    })
    List<DataSourceLineChartDto> lineChart(@Param("param") DataSourceAnalysisPageParams param);


    @Select("select attr8 from ads.user_event where  event = 'useDatasource' group by attr8")
    List<String> responsiblePersons();
}
