/**
 * 
 */
package org.springblade.useranalysis.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;


/**
 * @author wookvn
 *
 */
public interface DynamicQueryMapper {

	@Select({"<script>", 
			"select ${joinField}, ${targetField} ",
			"<if test='orderField != null'>, ${orderField}</if>",
			"from ${dicTable}", 
			"<if test='orderField != null'> order by ${orderField} asc </if>",
			"<if test='limit != null and limit > 0'>limit ${limit}</if>",	
			"</script>"
	})
	public List<JSONObject> queryList(
							@Param("dicTable") String dicTable, 
							@Param("joinField") String joinField, 
							@Param("targetField") String targetField, 
							@Param("orderField") String orderField,
							@Param("limit") Integer limit);
	
	
	@Select("select ${joinField} as id, ${targetField} as name from ${dicTable} ${ew.customSqlSegment}")
	public List<Map<String, Object>> queryListByIn(
			@Param("dicTable") String dicTable, 
			@Param("joinField") String joinField, 
			@Param("targetField") String targetField, 
			@Param(Constants.WRAPPER) QueryWrapper<?> queryWrapper);
	
	@Select("${value}")
	public List<JSONObject> list(String sql);
}
