package org.springblade.useranalysis.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.useranalysis.dto.*;
import org.springblade.useranalysis.dto.param.BuriedPointAnalysisParam;
import org.springblade.useranalysis.dto.param.VisualDataAnalysisPageParams;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/11/27 14:52
 */
@DS("clickhouse")
@InterceptorIgnore(tenantLine = "true")
@Mapper
public interface VisualDataAnalysisMapper {
    /**
     * 查询明细数据-分页
     */
    @Select({
            "<script>",
            "select d_date date, attr6 tenantId, attr4 user, attr1 type, attr5 visualClassify, attr2 visualName, url,attr8 visualId",
            "from ads.user_event",
            "<where>",
            " event = 'visualPreview'",
            "<if test='param.tenantId != null and param.tenantId != \"\"'> and attr6 = #{param.tenantId}</if>",
            "<if test='param.startTime != null and param.startTime != \"\" and param.endTime != null and param.endTime != \"\"' > and d_date between #{param.startTime} and #{param.endTime}</if>",
            "<if test='param.type != null and param.type != \"\"'> and attr1 like #{param.type}</if>",
            "<if test='param.name != null and param.name != \"\"'> and attr2 like #{param.name}</if>",
            "</where>",
            "</script>"
    })
    Page<VisualDataPageDto> page(@Param("param") VisualDataAnalysisPageParams param, Page page);

    @Select({"<script>",
            "select d_date as date, count(DISTINCT attr3) as userCount, count(1) as count",
            " from ads.user_event",
            "<where>",
            " event = 'visualPreview'",
            "<if test='param.tenantId != null and param.tenantId != \"\"'> and attr6 = #{param.tenantId}</if>",
            "<if test='param.startTime != null and param.startTime != \"\" and param.endTime != null and param.endTime != \"\"' > and d_date between #{param.startTime} and #{param.endTime}</if>",
            "<if test='param.type != null and param.type != \"\"'> and attr1 like #{param.type}</if>",
            "<if test='param.name != null and param.name != \"\"'> and attr2 like #{param.name}</if>",
            "</where>",
            " group by d_date",
            "</script>"
    })
    List<VisualDataLineChartDto> lineChart(@Param("param") VisualDataAnalysisPageParams param);


    /**
     * 查询看板浏览top10
     */
    @Select({"<script>",
            "select attr2 as visualName, count(DISTINCT attr3) as userCount, count(1) as count",
            " from ads.user_event",
            "<where>",
            " event = 'visualPreview'",
            "<if test='type != null and type != \"\"'> and attr1 like #{type}</if>",
            "</where>",
            " group by attr2",
            " order by count desc",
            " limit #{top}",
            "</script>"
    })
    List<VisualDataTopDto> getVisualTop(@Param("type") String type, @RequestParam("top") Integer top);

}
