package org.springblade.useranalysis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springblade.useranalysis.dto.*;
import org.springblade.useranalysis.dto.param.BuriedPointAnalysisParam;

import java.io.File;
import java.util.List;
import java.util.Map;

public interface BuriedPointAnalysisService {

    /**
     * 查询看板浏览次数top10
     */
    Map<String, List<NumberOfKanbanViewsDto>> getKanbanTop10(BuriedPointAnalysisParam param);

    /**
     * 查询活跃租户或活跃用户top10
     */
    Map<String, List<ActiveTenantUserDto>> getActiveTenantOrUserTop(BuriedPointAnalysisParam param);

    /**
     * 查询数据概况
     */
    Map<String, List<DataOverviewDto>> getDataOverview(BuriedPointAnalysisParam param);

    /**
     * 查询看板类型浏览次数占比
     */
    Map<String, List<KanbanTypeDto>> getKanbanPv(BuriedPointAnalysisParam param);

    /**
     * 查询新建看板浏览数据
     */
    Map<String, List<NewKanbanViewDto>> getKanbanNewView(BuriedPointAnalysisParam param);

    /**
     * 查询明细数据
     */
    Page<DetailDataDto> getDetails(BuriedPointAnalysisParam param, Integer size, Integer page);

    /**
     * 查询页面分类
     */
    List<DetailDataDto> getPageTypes(BuriedPointAnalysisParam param);

    /**
     * 导出数据明细的excel
     */
    File exportExcel(BuriedPointAnalysisParam param);
}
